- Main Page
- Namespaces
- Classes
- Files
- Examples

- File List
- File Members

# datasets.hpp File Reference

Iptc dataSet and type information. More...

`#include "types.hpp"`
`#include "metadatum.hpp"`
`#include <string>`
`#include <utility>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for datasets.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | Exiv2
## Classes
struct | Exiv2::RecordInfo
| Contains information about one record. More...
struct | Exiv2::DataSet
| Dataset information. More...
class | Exiv2::IptcDataSets
| Container for Iptc dataset information. Implemented as a static class. More...
class | Exiv2::IptcKey
| Concrete keys for Iptc metadata. More...
## Functions
std::ostream & | Exiv2::operator<< (std::ostream &os, const DataSet &dataSet)
| Output operator for dataSet.

## Detailed Description

Iptc dataSet and type information.

Version:
  Rev
    769

Author:
  Brad Schick (brad) <brad@robotbattle.com>

Date:
  24-Jul-04, brad: created